# SPDX-FileCopyrightText: 2022 Copyright contributors to the cppTango project
#
# SPDX-License-Identifier: LGPL-3.0-or-later

add_subdirectory(tango)

if (TANGO_CHECK_HEADERS_SELF_CONTAINED)
    file(GLOB_RECURSE _all_headers LIST_DIRECTORIES FALSE RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" CONFIGURE_DEPENDS "*.h")
    if (NOT WIN32)
      list(FILTER _all_headers EXCLUDE REGEX "^tango(/internal)?/windows")
    endif()

    list(FILTER _all_headers EXCLUDE REGEX "doxygen_defines\.h$")

    tango_add_check_headers_self_contained(PREFIX tango INCLUDE_PATHS ${_all_headers})
endif()
